## xpore 2.1

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = xpore
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
xpore (2.1-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 2.1
  * Standards version: 4.6.0

 -- Nilesh Patra <nilesh@debian.org>  Tue, 19 Oct 2021 16:38:22 +0530

xpore (1.0-2) unstable; urgency=medium

  * Team Upload.
  * Fix maintainer and uploader
  * Standards version: 4.6.0

 -- Nilesh Patra <nilesh@debian.org>  Thu, 14 Oct 2021 16:32:48 +0530

xpore (1.0-1) unstable; urgency=medium

  [ Steffen Moeller, Nilesh Patra ]
  * Initial release (Closes:#988690)

 -- Steffen Moeller <moeller@debian.org>  Fri, 21 May 2021 23:27:59 +0530

=== debian/control ===
Source: xpore
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Build-Depends: debhelper-compat (= 13), dh-python, python3-setuptools, python3-all, python3-sphinx <!nodoc>, python3-sphinx-rtd-theme <!nodoc>
Standards-Version: 4.6.0
Homepage: https://github.com/GoekeLab/xpore/
Vcs-Browser: https://salsa.debian.org/med-team/xpore
Vcs-Git: https://salsa.debian.org/med-team/xpore.git
#Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: xpore
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, pyensembl
Suggests: xpore-doc
Description: Nanopore analysis of differential RNA modifications
 RNA is transcribed from DNA, possibly spliced and exported to the
 cytoplasm - fine - but its bases can also be modified, edited, and
 not all such modifications are visible by Sanger sequencing methods
 and its derivatives.
 .
 The Nanopore measures potentials, and if the bases have a different
 shape then this is measured - not necessarily in an interpretable manner,
 something must be left for mass spectrometry, but one may be pointed
 to a difference. And maybe one can even statistically associate such
 differences with a molecular or clinical phenotype.

Package: xpore-doc
Section: doc
Architecture: all
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Suggests: python-xpore-doc
Description: documentation for the xpore Python package
 This package provides documentation for xpore

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild


override_dh_auto_build:
	dh_auto_build
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) http_proxy='http://127.0.0.1:9/' https_proxy='https://127.0.0.1:9/' \
	sphinx-build -N -E -T -b html docs/source build/html/
	rm -rf build/html/.doctrees build/html/.nojekyll
endif

#execute_after_dh_install:
#	mv debian/python3-xpore debian/xpore

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%xpore-$1.tar.gz%" \
   https://github.com/GoekeLab/xpore/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
